Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.domain.client
Class ObjectPermissionImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.domain.client.ObjectPermissionImpl

All Implemented Interfaces:
  ObjectPermission

    public class ObjectPermissionImpl

extends java.lang.Object
implements ObjectPermission

Author:
  swood

Constructor Summary
`ObjectPermissionImpl()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`int` | `getPermissionMask()`
`java.lang.Object` | `getPermissionRecipient()` (non-Javadoc)
`java.lang.String` | `getURI()` (non-Javadoc)
`int` | `hashCode()`
`void` | `setPermissionMask(int newPermissionMask)`
`void` | `setPermissionRecipient(java.lang.Object permissionRecipient)`
`void` | `setURI(java.lang.String URI)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectPermissionImpl

    public ObjectPermissionImpl()

Method Detail

### getURI

    public java.lang.String getURI()

  (non-Javadoc)

  Specified by:
    `getURI` in interface `ObjectPermission`
  See Also:
    `ObjectPermission.getURI()`

### setURI

    public void setURI(java.lang.String URI)

  Specified by:
    `setURI` in interface `ObjectPermission`

### getPermissionRecipient

    public java.lang.Object getPermissionRecipient()

  (non-Javadoc)

  Specified by:
    `getPermissionRecipient` in interface `ObjectPermission`
  See Also:
    `ObjectPermission.getPermissionRecipient()`

### setPermissionRecipient

    public void setPermissionRecipient(java.lang.Object permissionRecipient)

  Specified by:
    `setPermissionRecipient` in interface `ObjectPermission`

### getPermissionMask

    public int getPermissionMask()

  Specified by:
    `getPermissionMask` in interface `ObjectPermission`

### setPermissionMask

    public void setPermissionMask(int newPermissionMask)

  Specified by:
    `setPermissionMask` in interface `ObjectPermission`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.